/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3) 
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details. 
 */

package org.dive4elements.river.importer;


import java.sql.SQLException;

import org.hibernate.exception.ConstraintViolationException;

import org.dive4elements.river.model.River;


public interface ImportBedHeight {

    String getDescription();

    void addValue(ImportBedHeightValue value);

    void storeDependencies(River river)
    throws SQLException, ConstraintViolationException;

    Object getPeer(River river);

    int getValueCount();

    void setYear(int year);

    void setTimeInterval(ImportTimeInterval timeInterval);

    void setSoundingWidth(int soundingWidth);

    void setDescription(String description);

    void setEvaluationBy(String evaluationBy);

    void setRange(ImportRange range);

    void setType(ImportBedHeightType type);

    void setLocationSystem(ImportLocationSystem locationSystem);

    void setCurElevationModel(ImportElevationModel model);

    void setOldElevationModel(ImportElevationModel model);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
